org.eclipse.incquery.patternlanguage.scoping

## Class MyAbstractDeclarativeScopeProvider

- java.lang.Object
- - org.eclipse.xtext.scoping.impl.AbstractScopeProvider
  - - org.eclipse.incquery.patternlanguage.scoping.MyAbstractDeclarativeScopeProvider

- All Implemented Interfaces:
    org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider, org.eclipse.xtext.scoping.IScopeProvider
  Direct Known Subclasses:
    EMFPatternLanguageDeclarativeScopeProvider

      public abstract class MyAbstractDeclarativeScopeProvider
      extends org.eclipse.xtext.scoping.impl.AbstractScopeProvider
      implements org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider

  An extended abstract declarative scope provider to facilitate the reusing of abstract declarative scope providers together with XBase scope provider.

  See http://www.eclipse.org/forums/index .php/mv/msg/219841/699521/#msg_699521 for details.

  Author:
    Zoltan Ujhelyi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.log4j.Logger` | `logger`
    `static java.lang.String` | `NAMED_DELEGATE`
    `static java.lang.String` | `NAMED_ERROR_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyAbstractDeclarativeScopeProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.scoping.IScopeProvider` | `getDelegate()`
    `org.eclipse.xtext.util.PolymorphicDispatcher.ErrorHandler<org.eclipse.xtext.scoping.IScope>` | `getErrorHandler()`
    `org.eclipse.xtext.scoping.IScope` | `getScope(org.eclipse.emf.ecore.EObject context, org.eclipse.emf.ecore.EReference reference)`
    `void` | `setDelegate(org.eclipse.xtext.scoping.IScopeProvider delegate)`
    `void` | `setErrorHandler(org.eclipse.xtext.util.PolymorphicDispatcher.ErrorHandler<org.eclipse.xtext.scoping.IScope> errorHandler)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMED_DELEGATE

          public static final java.lang.String NAMED_DELEGATE

      See Also:
        Constant Field Values

    - #### NAMED_ERROR_HANDLER

          public static final java.lang.String NAMED_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### logger

          public final org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### MyAbstractDeclarativeScopeProvider

          public MyAbstractDeclarativeScopeProvider()

  - ### Method Detail

    - #### setDelegate

          public void setDelegate(org.eclipse.xtext.scoping.IScopeProvider delegate)

    - #### getDelegate

          public org.eclipse.xtext.scoping.IScopeProvider getDelegate()

      Specified by:
        `getDelegate` in interface `org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider`

    - #### getScope

          public org.eclipse.xtext.scoping.IScope getScope(org.eclipse.emf.ecore.EObject context,
                                                           org.eclipse.emf.ecore.EReference reference)

      Specified by:
        `getScope` in interface `org.eclipse.xtext.scoping.IScopeProvider`

    - #### setErrorHandler

          public void setErrorHandler(org.eclipse.xtext.util.PolymorphicDispatcher.ErrorHandler<org.eclipse.xtext.scoping.IScope> errorHandler)

    - #### getErrorHandler

          public org.eclipse.xtext.util.PolymorphicDispatcher.ErrorHandler<org.eclipse.xtext.scoping.IScope> getErrorHandler()